intel-ipsec-mb v2.0 Documentation of the Intel(R) IPSec Multi-Buffer library |

Loading...
Searching...
No Matches
Data Fields
gcm_context_data Struct Reference

holds GCM operation context More...

`#include <intel-ipsec-mb.h>`

## Data Fields
uint8_t | aad_hash [IMB_GCM_BLOCK_LEN]
uint64_t | aad_length
uint64_t | in_length
uint8_t | partial_block_enc_key [IMB_GCM_BLOCK_LEN]
uint8_t | orig_IV [IMB_GCM_BLOCK_LEN]
uint8_t | current_counter [IMB_GCM_BLOCK_LEN]
uint64_t | partial_block_length

## Detailed Description

holds GCM operation context

init, update and finalize context data

## Field Documentation

## ◆ aad_hash

uint8_t gcm_context_data::aad_hash[IMB_GCM_BLOCK_LEN]

## ◆ aad_length

uint64_t gcm_context_data::aad_length

## ◆ current_counter

uint8_t gcm_context_data::current_counter[IMB_GCM_BLOCK_LEN]

## ◆ in_length

uint64_t gcm_context_data::in_length

## ◆ orig_IV

uint8_t gcm_context_data::orig_IV[IMB_GCM_BLOCK_LEN]

## ◆ partial_block_enc_key

uint8_t gcm_context_data::partial_block_enc_key[IMB_GCM_BLOCK_LEN]

## ◆ partial_block_length

uint64_t gcm_context_data::partial_block_length

The documentation for this struct was generated from the following file:

- intel-ipsec-mb.h